Update a permanent RUM retention filter

PATCH https://api.ap1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.ap2.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.datadoghq.eu/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us2.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.uk1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us3.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us5.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}

Información general

Update the cross-product sampling configuration of a permanent RUM retention filter for a RUM application. Only fields marked as editable in the editability block of the filter can be updated. Updating a non-editable field returns a 400 response.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

app_id [required]

string

RUM application ID.

permanent_rf_id [required]

string

The identifier of the permanent RUM retention filter.

Solicitud

Body Data (required)

New configuration of the permanent RUM retention filter.

Expand All

Campo

Tipo

Descripción

data [required]

object

The new permanent RUM retention filter configuration to update.

attributes [required]

object

The configuration to update on a permanent RUM retention filter.

cross_product_sampling

object

The configuration for cross-product retention filters. All fields are optional for partial updates.

trace_enabled

boolean

Whether the cross-product retention filter for APM traces is enabled.

trace_sample_rate

double

The sample rate for the APM cross-product retention filter, between 0 and 100.

id [required]

enum

The identifier of a permanent RUM retention filter. Allowed enum values: rum_apm_flat_sampling,synthetics_sessions,forced_replay_sessions

type [required]

enum

The type of the resource. The value should always be permanent_retention_filters. Allowed enum values: permanent_retention_filters

default: permanent_retention_filters

{
  "data": {
    "attributes": {
      "cross_product_sampling": {
        "trace_enabled": true,
        "trace_sample_rate": 25
      }
    },
    "id": "synthetics_sessions",
    "type": "permanent_retention_filters"
  }
}

Respuesta

Updated

A permanent RUM retention filter object.

Expand All

Campo

Tipo

Descripción

data

object

A permanent RUM retention filter.

attributes

object

The attributes of a permanent RUM retention filter.

cross_product_sampling

object

The configuration for cross-product retention filters.

trace_enabled

boolean

Whether the cross-product retention filter for APM traces is enabled.

trace_sample_rate

double

The sample rate for the APM cross-product retention filter, between 0 and 100.

description

string

A description of what the filter retains.

editability

object

Indicates which cross-product fields of a permanent RUM retention filter can be updated.

trace_editable

boolean

Whether the APM trace cross-product configuration of the filter can be updated.

name

string

The display name of the permanent retention filter.

id

enum

The identifier of a permanent RUM retention filter. Allowed enum values: rum_apm_flat_sampling,synthetics_sessions,forced_replay_sessions

type

enum

The type of the resource. The value should always be permanent_retention_filters. Allowed enum values: permanent_retention_filters

default: permanent_retention_filters

{
  "data": {
    "attributes": {
      "cross_product_sampling": {
        "trace_enabled": true,
        "trace_sample_rate": 25
      },
      "description": "All sessions generated by Synthetics are retained at 100%.",
      "editability": {
        "trace_editable": true
      },
      "name": "Synthetics Sessions"
    },
    "id": "synthetics_sessions",
    "type": "permanent_retention_filters"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Authorized

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  ## default
# 

# Path parameters
export app_id="CHANGE_ME"
export permanent_rf_id="synthetics_sessions"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/rum/applications/${app_id}/retention_filters/permanent/${permanent_rf_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "cross_product_sampling": { "trace_enabled": true, "trace_sample_rate": 50 } }, "id": "synthetics_sessions", "type": "permanent_retention_filters" } } EOF
"""
Update a permanent RUM retention filter returns "Updated" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_retention_filters_api import RumRetentionFiltersApi
from datadog_api_client.v2.model.rum_cross_product_sampling_update import RumCrossProductSamplingUpdate
from datadog_api_client.v2.model.rum_permanent_retention_filter_id import RumPermanentRetentionFilterID
from datadog_api_client.v2.model.rum_permanent_retention_filter_type import RumPermanentRetentionFilterType
from datadog_api_client.v2.model.rum_permanent_retention_filter_update_attributes import (
    RumPermanentRetentionFilterUpdateAttributes,
)
from datadog_api_client.v2.model.rum_permanent_retention_filter_update_data import RumPermanentRetentionFilterUpdateData
from datadog_api_client.v2.model.rum_permanent_retention_filter_update_request import (
    RumPermanentRetentionFilterUpdateRequest,
)

body = RumPermanentRetentionFilterUpdateRequest(
    data=RumPermanentRetentionFilterUpdateData(
        attributes=RumPermanentRetentionFilterUpdateAttributes(
            cross_product_sampling=RumCrossProductSamplingUpdate(
                trace_enabled=True,
                trace_sample_rate=25.0,
            ),
        ),
        id=RumPermanentRetentionFilterID.SYNTHETICS_SESSIONS,
        type=RumPermanentRetentionFilterType.PERMANENT_RETENTION_FILTERS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = RumRetentionFiltersApi(api_client)
    response = api_instance.update_permanent_retention_filter(
        app_id="app_id", permanent_rf_id=RumPermanentRetentionFilterID.SYNTHETICS_SESSIONS, body=body
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Update a permanent RUM retention filter returns "Updated" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::RumRetentionFiltersAPI.new

body = DatadogAPIClient::V2::RumPermanentRetentionFilterUpdateRequest.new({
  data: DatadogAPIClient::V2::RumPermanentRetentionFilterUpdateData.new({
    attributes: DatadogAPIClient::V2::RumPermanentRetentionFilterUpdateAttributes.new({
      cross_product_sampling: DatadogAPIClient::V2::RumCrossProductSamplingUpdate.new({
        trace_enabled: true,
        trace_sample_rate: 25.0,
      }),
    }),
    id: DatadogAPIClient::V2::RumPermanentRetentionFilterID::SYNTHETICS_SESSIONS,
    type: DatadogAPIClient::V2::RumPermanentRetentionFilterType::PERMANENT_RETENTION_FILTERS,
  }),
})
p api_instance.update_permanent_retention_filter("app_id", RumPermanentRetentionFilterID::SYNTHETICS_SESSIONS, body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Update a permanent RUM retention filter returns "Updated" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.RumPermanentRetentionFilterUpdateRequest{
		Data: datadogV2.RumPermanentRetentionFilterUpdateData{
			Attributes: datadogV2.RumPermanentRetentionFilterUpdateAttributes{
				CrossProductSampling: &datadogV2.RumCrossProductSamplingUpdate{
					TraceEnabled:    datadog.PtrBool(true),
					TraceSampleRate: datadog.PtrFloat64(25.0),
				},
			},
			Id:   datadogV2.RUMPERMANENTRETENTIONFILTERID_SYNTHETICS_SESSIONS,
			Type: datadogV2.RUMPERMANENTRETENTIONFILTERTYPE_PERMANENT_RETENTION_FILTERS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumRetentionFiltersApi(apiClient)
	resp, r, err := api.UpdatePermanentRetentionFilter(ctx, "app_id", datadogV2.RUMPERMANENTRETENTIONFILTERID_SYNTHETICS_SESSIONS, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumRetentionFiltersApi.UpdatePermanentRetentionFilter`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumRetentionFiltersApi.UpdatePermanentRetentionFilter`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Update a permanent RUM retention filter returns "Updated" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRetentionFiltersApi;
import com.datadog.api.client.v2.model.RumCrossProductSamplingUpdate;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterID;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterResponse;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterType;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterUpdateAttributes;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterUpdateData;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    RumRetentionFiltersApi apiInstance = new RumRetentionFiltersApi(defaultClient);

    RumPermanentRetentionFilterUpdateRequest body =
        new RumPermanentRetentionFilterUpdateRequest()
            .data(
                new RumPermanentRetentionFilterUpdateData()
                    .attributes(
                        new RumPermanentRetentionFilterUpdateAttributes()
                            .crossProductSampling(
                                new RumCrossProductSamplingUpdate()
                                    .traceEnabled(true)
                                    .traceSampleRate(25.0)))
                    .id(RumPermanentRetentionFilterID.SYNTHETICS_SESSIONS)
                    .type(RumPermanentRetentionFilterType.PERMANENT_RETENTION_FILTERS));

    try {
      RumPermanentRetentionFilterResponse result =
          apiInstance.updatePermanentRetentionFilter(
              "app_id", RumPermanentRetentionFilterID.SYNTHETICS_SESSIONS, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling RumRetentionFiltersApi#updatePermanentRetentionFilter");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Update a permanent RUM retention filter returns "Updated" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_retention_filters::RumRetentionFiltersAPI;
use datadog_api_client::datadogV2::model::RumCrossProductSamplingUpdate;
use datadog_api_client::datadogV2::model::RumPermanentRetentionFilterID;
use datadog_api_client::datadogV2::model::RumPermanentRetentionFilterType;
use datadog_api_client::datadogV2::model::RumPermanentRetentionFilterUpdateAttributes;
use datadog_api_client::datadogV2::model::RumPermanentRetentionFilterUpdateData;
use datadog_api_client::datadogV2::model::RumPermanentRetentionFilterUpdateRequest;

#[tokio::main]
async fn main() {
    let body =
        RumPermanentRetentionFilterUpdateRequest::new(RumPermanentRetentionFilterUpdateData::new(
            RumPermanentRetentionFilterUpdateAttributes::new().cross_product_sampling(
                RumCrossProductSamplingUpdate::new()
                    .trace_enabled(true)
                    .trace_sample_rate(25.0 as f64),
            ),
            RumPermanentRetentionFilterID::SYNTHETICS_SESSIONS,
            RumPermanentRetentionFilterType::PERMANENT_RETENTION_FILTERS,
        ));
    let configuration = datadog::Configuration::new();
    let api = RumRetentionFiltersAPI::with_config(configuration);
    let resp = api
        .update_permanent_retention_filter(
            "app_id".to_string(),
            RumPermanentRetentionFilterID::SYNTHETICS_SESSIONS,
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Update a permanent RUM retention filter returns "Updated" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.RumRetentionFiltersApi(configuration);

const params: v2.RumRetentionFiltersApiUpdatePermanentRetentionFilterRequest = {
  body: {
    data: {
      attributes: {
        crossProductSampling: {
          traceEnabled: true,
          traceSampleRate: 25.0,
        },
      },
      id: "synthetics_sessions",
      type: "permanent_retention_filters",
    },
  },
  appId: "app_id",
  permanentRfId: "synthetics_sessions",
};

apiInstance
  .updatePermanentRetentionFilter(params)
  .then((data: v2.RumPermanentRetentionFilterResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"